#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> v(n);
    for (int i = 0; i < n; i++){
        cin >> v[i];
    }
    string s;
    cout << n << "\n";
    for (int i = 1; i <= n; i++){
        if (i % 2 == 0)s += '1';
        else s += '2';
    }
    cout << s;
}